Main Page Class Hierarchy Compound List File List Compound Members File Members

# CmtError Class Reference

`#include <cmt_error.h>`

List of all members.

## Public Types
enum | code { ok, symbol_not_found, pattern_not_found, syntax_error, command_not_implemented, package_not_found, path_not_found, version_conflict, file_access_error, execution_error, cannot_lock, cannot_write_lock, cannot_run_lock_command, cannot_unlock, cannot_run_unlock_command, cannot_remove_lock, conflicting_lock }
## Static Public Methods
void | clear ()
code | get_last_error_code ()
bool | has_pending_error ()
const cmt_string& | get_error_name (code error)
void | set (code error, const cmt_string& text)
cmt_string | get_last_error ()
void | print ()

## Member Enumeration Documentation

enum CmtError::code

  | Enumeration values:
  ok |
  symbol_not_found |
  pattern_not_found |
  syntax_error |
  command_not_implemented |
  package_not_found |
  path_not_found |
  version_conflict |
  file_access_error |
  execution_error |
  cannot_lock |
  cannot_write_lock |
  cannot_run_lock_command |
  cannot_unlock |
  cannot_run_unlock_command |
  cannot_remove_lock |
  conflicting_lock |
Definition at line 11 of file cmt_error.h.
    00012   {
    00013     ok,
    00014     symbol_not_found,
    00015     pattern_not_found,
    00016     syntax_error,
    00017     command_not_implemented,
    00018     package_not_found,
    00019     path_not_found,
    00020     version_conflict,
    00021     file_access_error,
    00022     execution_error,
    00023     cannot_lock,
    00024     cannot_write_lock,
    00025     cannot_run_lock_command,
    00026     cannot_unlock,
    00027     cannot_run_unlock_command,
    00028     cannot_remove_lock,
    00029     conflicting_lock
    00030   }

## Member Function Documentation

void CmtError::clear ( | )`[static]`

| Definition at line 80 of file cmt_error.cxx. Referenced by Cmt::clear(), Cmt::parse_requirements(), Cmt::parser(), and Cmt::select().
    00082 {
    00083   Error& e = Error::instance ();
    00084
    00085   e.clear ();
    00086 }

const cmt_string & CmtError::get_error_name ( | code error )`[static]`

| Definition at line 108 of file cmt_error.cxx. Referenced by get_last_error().
    00110 {
    00111   Error& e = Error::instance ();
    00112
    00113   return (e.get_name (error));
    00114 }

cmt_string CmtError::get_last_error ( | )`[static]`

| Definition at line 126 of file cmt_error.cxx. Referenced by Cmt::configure().
    00127 {
    00128   Error& e = Error::instance ();
    00129
    00130   cmt_string result;
    00131
    00132   result = get_error_name (e.get_code ());
    00133   result += " - ";
    00134   result += e.get_text ();
    00135
    00136   return (result);
    00137 }

CmtError::code CmtError::get_last_error_code ( | )`[static]`

| Definition at line 99 of file cmt_error.cxx. Referenced by Cmt::parser().
    00101 {
    00102   Error& e = Error::instance ();
    00103
    00104   return (e.get_code ());
    00105 }

bool CmtError::has_pending_error ( | )`[static]`

| Definition at line 89 of file cmt_error.cxx. Referenced by Cmt::configure(), Cmt::load(), Cmt::parse_requirements_text(), Cmt::parser(), and Cmt::select().
    00091 {
    00092   Error& e = Error::instance ();
    00093
    00094   if (e.get_code () == ok) return (false);
    00095   else return (true);
    00096 }

void CmtError::print ( | )`[static]`

| Definition at line 140 of file cmt_error.cxx. Referenced by Cmt::parser().
    00142 {
    00143   Error& e = Error::instance ();
    00144
    00145   cout << endl;
    00146   cout << "# CMT> " << get_error_name (e.get_code ()) << " - " << e.get_text () << endl;
    00147 }

void CmtError::set ( | code error,
| const cmt_string & text )`[static]`

| Definition at line 117 of file cmt_error.cxx. Referenced by Use::add(), CmtSystem::add_cmt_path(), Cmt::do_broadcast(), Cmt::do_build_constituent_makefile(), Cmt::do_build_constituents_makefile(), Cmt::do_build_dependencies(), Cmt::do_build_library_links(), Cmt::do_build_make_setup(), Cmt::do_build_msdev(), Cmt::do_build_os9_makefile(), Cmt::do_build_prototype(), Cmt::do_build_readme(), Cmt::do_build_tag_makefile(), Cmt::do_build_triggers(), Cmt::do_build_windefs(), Cmt::do_config(), Cmt::do_remove_library_links(), Cmt::do_show_macro(), Cmt::load(), CmtLock::lock(), BestFitSelector::operate(), Cmt::parser(), Cmt::reach_current_package(), Cmt::select(), Pattern::show(), Use::show_all(), and CmtLock::unlock().
    00119 {
    00120   Error& e = Error::instance ();
    00121
    00122   e.set (error, text);
    00123 }

The documentation for this class was generated from the following files:

- cmt_error.h
- cmt_error.cxx